Bug 809324 - SELinux is preventing /usr/sbin/sshd from 'create' accesses on the unix_dgram_socket .
SELinux is preventing /usr/sbin/sshd from 'create' accesses on the unix_dgram...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8665c0e6049f6d53899534f1209...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 01:59 EDT by Mikhail
Modified: 2012-10-17 05:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 05:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-04-03 01:59:06 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.i686.PAE
time:           Вт. 03 апр. 2012 11:58:55

description:
:SELinux is preventing /usr/sbin/sshd from 'create' accesses on the unix_dgram_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that sshd should be allowed create access on the  unix_dgram_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sshd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:chroot_user_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:chroot_user_t:s0-s0:c0.c1023
:Target Objects                 [ unix_dgram_socket ]
:Source                        sshd
:Source Path                   /usr/sbin/sshd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           openssh-server-5.9p1-20.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-5.fc17.i686.PAE
:                              #1 SMP Fri Mar 23 20:31:19 UTC 2012 i686 i686
:Alert Count                   4
:First Seen                    Пн. 19 марта 2012 19:49:25
:Last Seen                     Чт. 29 марта 2012 13:32:57
:Local ID                      6692c39a-d65d-406f-a9e5-877f8b53e4d4
:
:Raw Audit Messages
:type=AVC msg=audit(1333006377.354:162): avc:  denied  { create } for  pid=1771 comm="sshd" scontext=system_u:system_r:chroot_user_t:s0-s0:c0.c1023 tcontext=system_u:system_r:chroot_user_t:s0-s0:c0.c1023 tclass=unix_dgram_socket
:
:
:type=SYSCALL msg=audit(1333006377.354:162): arch=i386 syscall=socketcall success=no exit=EACCES a0=1 a1=bfa9a1c0 a2=b7249ff4 a3=b8ebe640 items=0 ppid=1767 pid=1771 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=3 comm=sshd exe=/usr/sbin/sshd subj=system_u:system_r:chroot_user_t:s0-s0:c0.c1023 key=(null)
:
:Hash: sshd,chroot_user_t,chroot_user_t,unix_dgram_socket,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-04 07:35:56 EDT
Could you test it with 

$ semanage permissive -a chroot_user_t

to see if we get more AVC msgs?

Also how did you set up it?
Comment 2 Petr Lautrbach 2012-04-04 07:41:35 EDT
Please provide your sshd configuration:

# /usr/sbin/sshd -T

Note You need to log in before you can comment on or make changes to this bug.